Subject: [bess] WG Adoption and IPR Poll for draft-brissette-bess-evpn-mh-pa-04

From: "Bocci, Matthew (Nokia - GB)" <[email-masked]>
Date: Tue, 21 Jan 2020 14:47:58 +0000

Hello,

This email begins a two-weeks WG adoption poll for draft-brissette-bess-evpn-mh-pa-04 [1] .

Please review the draft and post any comments to the BESS working group list.

We are also polling for knowledge of any undisclosed IPR that applies to this Document, to ensure that IPR has been disclosed in compliance with IETF IPR rules (see RFCs 3979, 4879, 3669 and 5378 for more details).

If you are listed as an author or a contributor of this document, please respond to this email and indicate whether or not you are aware of any relevant undisclosed IPR, copying the BESS mailing list. The document won't progress without answers from all the authors and contributors.

Currently, there are no IPR disclosures against this document.

If you are not listed as an author or a contributor, then please explicitly respond only if you are aware of any IPR that has not yet been disclosed in conformance with IETF rules.

This poll for adoption closes on Tuesday 4th February 2020.

Regards,
Matthew and Stephane

[1] https://datatracker.ietf.org/doc/draft-brissette-bess-evpn-mh-pa/

---

From: "Patrice Brissette (pbrisset)" <[email-masked]>
Date: Tue, 21 Jan 2020 16:20:26 +0000

Hi Matthew,

As author of that draft, I’m supportive. It solves very nicely true customer problems.
The solution is already deployed in multiple customer environments
I’m not aware of any undisclosed IPR.
Regards,
Patrice Brissette, Principal Engineer
Cisco Systems
Help us track your SP SR/EVPN Customer Opportunity/Status by filling these forms: Segment Routing<https://app.smartsheet.com/b/form/185833ace35b4894b324dfb8afbd2060> / EVPN<https://app.smartsheet.com/b/form/136bd5c3a22641bf92316523e79d6f22>

http://e-vpn.io, http://go2.cisco.com/evpn

From: "Bocci, Matthew (Nokia - GB)" <[email-masked]>
Date: Tuesday, January 21, 2020 at 09:47
To: "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: WG Adoption and IPR Poll for draft-brissette-bess-evpn-mh-pa-04
Resent-From: <[email-masked]>
Resent-To: Patrice Brissette <[email-masked]>, Ali Sajassi <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>
Resent-Date: Tuesday, January 21, 2020 at 09:48

Hello,

Regards,
Matthew and Stephane

---

From: Luc André Burdet <[email-masked]>
Date: Tue, 21 Jan 2020 16:40:08 +0000

I support adoption.  We have already taken many good comments/feedback from the WG on this draft.
Unaware of any IPR.

Regards,
Luc André

Luc André Burdet |  Cisco  |  [email-masked]  |  Tel: +1 613 254 4814

From: BESS <[email-masked]> on behalf of "Bocci, Matthew (Nokia - GB)" <[email-masked]>
Date: Tuesday, January 21, 2020 at 09:49
To: "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: [bess] WG Adoption and IPR Poll for draft-brissette-bess-evpn-mh-pa-04

Hello,

Regards,
Matthew and Stephane

---

From: "Mankamana Mishra (mankamis)" <[email-masked]>
Date: Tue, 21 Jan 2020 16:55:21 +0000

Support.

From: "Bocci, Matthew (Nokia - GB)" <[email-masked]>
Date: Tuesday, January 21, 2020 at 6:48 AM
To: "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: WG Adoption and IPR Poll for draft-brissette-bess-evpn-mh-pa-04
Resent-From: <[email-masked]>
Resent-To: <[email-masked]>, <[email-masked]>, <[email-masked]>
Resent-Date: Tuesday, January 21, 2020 at 6:48 AM

Hello,

Regards,
Matthew and Stephane

---

From: "Wen, Bin" <[email-masked]>
Date: Tue, 21 Jan 2020 16:57:42 +0000

I support the WG adoption of the draft as co-author. I am not aware of IPR.

From: "[email-masked]" <[email-masked]>
Date: Tuesday, January 21, 2020 at 11:28 AM
To: "Bocci, Matthew (Nokia - GB)" <[email-masked]>, "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: WG Adoption and IPR Poll for draft-brissette-bess-evpn-mh-pa-04
Resent-From: <[email-masked]>
Resent-To: "[email-masked]" <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>
Resent-Date: Tuesday, January 21, 2020 at 11:21 AM

Hi Matthew,

Help us track your SP SR/EVPN Customer Opportunity/Status by filling these forms: Segment Routing<https://urldefense.com/v3/__https:/app.smartsheet.com/b/form/185833ace35b4894b324dfb8afbd2060__;!!CQl3mcHX2A!REw1yLaHC8l_APDA-HolTL6ZIulF8TYrayVkbjfZi-5IMBcR2IxGvKCBuoZHpLo$> / EVPN<https://urldefense.com/v3/__https:/app.smartsheet.com/b/form/136bd5c3a22641bf92316523e79d6f22__;!!CQl3mcHX2A!REw1yLaHC8l_APDA-HolTL6ZIulF8TYrayVkbjfZi-5IMBcR2IxGvKCBUhtyIHI$>

http://e-vpn.io<https://urldefense.com/v3/__http:/e-vpn.io__;!!CQl3mcHX2A!REw1yLaHC8l_APDA-HolTL6ZIulF8TYrayVkbjfZi-5IMBcR2IxGvKCB4FSdNI8$>, http://go2.cisco.com/evpn<https://urldefense.com/v3/__http:/go2.cisco.com/evpn__;!!CQl3mcHX2A!REw1yLaHC8l_APDA-HolTL6ZIulF8TYrayVkbjfZi-5IMBcR2IxGvKCBtvWTLAo$>

Hello,

Regards,
Matthew and Stephane

[1] https://datatracker.ietf.org/doc/draft-brissette-bess-evpn-mh-pa/<https://urldefense.com/v3/__https:/datatracker.ietf.org/doc/draft-brissette-bess-evpn-mh-pa/__;!!CQl3mcHX2A!REw1yLaHC8l_APDA-HolTL6ZIulF8TYrayVkbjfZi-5IMBcR2IxGvKCBtOhv86I$>

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Tue, 21 Jan 2020 16:58:33 +0000

Support – though I’ve always thought MC-LAG was a hack, it is part of the landscape.
Thanks,
Acee

Date: Tuesday, January 21, 2020 at 9:51 AM

Hello,

Regards,
Matthew and Stephane

---

From: Krzysztof Grzegorz Szarkowicz <[email-masked]>
Date: Tue, 21 Jan 2020 18:19:14 +0100

Hello,

I have two comments regarding section 4.2

Comment 1:

draft-brissette-bess-evpn-mh-pa-04: “ES-Import RT community inherits from ESI only byte 1-7,”

As per RFC 7432, ES-Import RT community inherits from ESI only 6 (not 7, as in draft-brissette-bess-evpn-mh-pa-04) octets from ESI

Comment 2:

What is the benefit of restricting Modulo calculation to 5 octets only (draft-brissette-bess-evpn-mh-pa-04 specifies here octets 3-7), instead of taking all 9 (or even all 10) octets into account. For example, for HRW, RFC 8584 already describes computing a 32 bit CRC over the concatenation of Ethernet Tag and ESI, so *all 10* ESI octets are used for better entropy. What is the benefit of restricting here for only subset of ESI octets?

Thanks,
Krzysztof

> On 2020 -Jan-21, at 17:58, Acee Lindem (acee) <[email-masked]> wrote:
> 
> From: BESS <[email-masked] <mailto:[email-masked]>> on behalf of "Bocci, Matthew (Nokia - GB)" <[email-masked] <mailto:[email-masked]>>
> To: "[email-masked] <mailto:[email-masked]>" <[email-masked] <mailto:[email-masked]>>
> Cc: "[email-masked] <mailto:[email-masked]>" <[email-masked] <mailto:[email-masked]>>, "[email-masked] <mailto:[email-masked]>" <[email-masked] <mailto:[email-masked]>>
> [1] https://datatracker.ietf.org/doc/draft-brissette-bess-evpn-mh-pa/ <https://datatracker.ietf.org/doc/draft-brissette-bess-evpn-mh-pa/>
>  
>  
>  
>  
>  
> _______________________________________________
> BESS mailing list
> [email-masked] <mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/bess <https://www.ietf.org/mailman/listinfo/bess>

---

From: Luc André Burdet <[email-masked]>
Date: Tue, 21 Jan 2020 18:05:06 +0000

Hi Krystof,

Already tracking issue #1 for update, thanks for picking it up though

Issue #2 we’ve discussed before but the entropy here is meant to provide some delta “between ES” for DF... RFC7432 modulo doesn’t go into complicated HRW and this should not either...

  *   The specific set of bytes chosen are supposed to vary some but don’t have to vary tremendously. VLAN-ID/EVI in 7432 doesn’t very tremendously either.
  *   The byte(s) definitely vary more than byte 10 in previous versions which, for some ESI types, is 00...
Why use 10 bytes for an even/odd decision on 2PE when basically... one is enough? I don’t see the need to bring in HRW’s complexity to simply match RFC7432 DF-modulo.
FYI we have added a section specifically addressing HRW df-mode.

Regards,

From: BESS <[email-masked]> on behalf of Krzysztof Grzegorz Szarkowicz <[email-masked]>
Date: Tuesday, January 21, 2020 at 12:19
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: [bess] WG Adoption and IPR Poll for draft-brissette-bess-evpn-mh-pa-04

Hello,

Comment 1:

Comment 2:

Thanks,
Krzysztof

On 2020 -Jan-21, at 17:58, Acee Lindem (acee) <[email-masked]<mailto:[email-masked]>> wrote:

From: BESS <[email-masked]<mailto:[email-masked]>> on behalf of "Bocci, Matthew (Nokia - GB)" <[email-masked]<mailto:[email-masked]>>
Date: Tuesday, January 21, 2020 at 9:51 AM
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: [bess] WG Adoption and IPR Poll for draft-brissette-bess-evpn-mh-pa-04

Hello,

Regards,
Matthew and Stephane

_______________________________________________
BESS mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/bess

---

From: "Ali Sajassi (sajassi)" <[email-masked]>
Date: Tue, 21 Jan 2020 18:53:36 +0000

Support as a co-author. Not aware of any undisclosed IPR.

Cheers,
Ali

Resent-To: <[email-masked]>, Cisco Employee <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>

Hello,

Regards,
Matthew and Stephane

---

From: Sami Boutros <[email-masked]>
Date: Tue, 21 Jan 2020 11:26:23 -0800

Support,

Sami
Sent from my iPhone

> On Jan 21, 2020, at 6:48 AM, Bocci, Matthew (Nokia - GB) <[email-masked]> wrote:
> 
> 
> Hello,
>  
> [email-masked]

---

From: Krzysztof Grzegorz Szarkowicz <[email-masked]>
Date: Tue, 21 Jan 2020 21:07:48 +0100

Hi Luc,

Restricting Modulo function to octets 3-7, means, we are restricting optimized operation of draft-brissette-bess-evpn-mh-pa-04 to deployments, where ESI is differentiated within the subset of octets specified in this draft. While I agree, that best practice is to differentiate ESIs within octets 1-6 (or 2-7 -> depending how we number them), I see no reason to put such restriction, as I don’t see any complexity here, when all 10 octets are used instead of 5 octets.

My teenager son, who just recently started to learn python, has prepared python script to calculate IBAN (International Back Account Number) CHECKSUM (https://www.iban.com/iban-checker <https://www.iban.com/iban-checker>):

IBAN CHECKSUM

This is the first and most important check we perform.
The IBAN check digit consists of two digits in positions 3 and 4 of the IBAN.
It is calculated using the MOD97 algorithm and provides the primary integrity check for the IBAN standard.
Supported for all 116 countries.

within 20 minutes (and the script has only 8 lines). And, IBANs are longer (up to 24 digits).

So, what is the complexity here, that would mandate to restrict the Modulo function to 5 octets only?

Regards,
Krzysztof Grzegorz Szarkowicz
Juniper Networks

> On 2020 -Jan-21, at 19:05, Luc André Burdet <[email-masked]> wrote:
> 
> Hi Krystof,
>  
> The specific set of bytes chosen are supposed to vary some but don’t have to vary tremendously. VLAN-ID/EVI in 7432 doesn’t very tremendously either.
> The byte(s) definitely vary more than byte 10 in previous versions which, for some ESI types, is 00...
> Luc André Burdet |  Cisco  |  [email-masked] <mailto:[email-masked]>  |  Tel: +1 613 254 4814
>  
>  
> From: BESS <[email-masked] <mailto:[email-masked]>> on behalf of Krzysztof Grzegorz Szarkowicz <[email-masked] <mailto:[email-masked]>>
> Cc: "[email-masked] <mailto:[email-masked]>" <[email-masked] <mailto:[email-masked]>>, "[email-masked] <mailto:[email-masked]>" <[email-masked] <mailto:[email-masked]>>, "[email-masked] <mailto:[email-masked]>" <[email-masked] <mailto:[email-masked]>>
> On 2020 -Jan-21, at 17:58, Acee Lindem (acee) <[email-masked] <mailto:[email-masked]>> wrote:
>

---

From: Jeff Tantsura <[email-masked]>
Date: Tue, 21 Jan 2020 12:12:07 -0800

Support,

Same question on comment #1

Cheers,
Jeff

---

From: "Rabadan, Jorge (Nokia - US/Mountain View)" <[email-masked]>
Date: Tue, 21 Jan 2020 14:53:16 +0000

Support as co-author.
Not aware of any relevant IPR.

Thanks.
Jorge

From: "Bocci, Matthew (Nokia - GB)" <[email-masked]>
Date: Tuesday, January 21, 2020 at 3:48 PM
To: "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: WG Adoption and IPR Poll for draft-brissette-bess-evpn-mh-pa-04
Resent-From: <[email-masked]>
Resent-To: <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>
Resent-Date: Tuesday, January 21, 2020 at 3:48 PM

Hello,

Regards,
Matthew and Stephane

---

From: "Thirumavalavan Periyannan (thiperiy)" <[email-masked]>
Date: Wed, 22 Jan 2020 06:25:26 +0000

Support!

Thirumavalavan Periyannan
.:|:.:|:. Cisco Systems | XR Deployment & Escalation Engineer

Date: Tuesday, 21 January 2020 at 20:18

Hello,

Regards,
Matthew and Stephane

---

From: Alexander Vainshtein <[email-masked]>
Date: Wed, 22 Jan 2020 09:25:18 +0000

+1!

Regards,
Sasha

Office: +972-39266302
Cell:      +972-549266302
Email:   [email-masked]

From: BESS <[email-masked]> On Behalf Of Thirumavalavan Periyannan (thiperiy)
Sent: Wednesday, January 22, 2020 8:25 AM
To: Bocci, Matthew (Nokia - GB) <[email-masked]>; [email-masked]
Cc: [email-masked]; Thirumavalavan Periyannan (thiperiy) <[email-masked]>; [email-masked]
Subject: Re: [bess] WG Adoption and IPR Poll for draft-brissette-bess-evpn-mh-pa-04

Support!

Hello,

Regards,
Matthew and Stephane

[1] https://datatracker.ietf.org/doc/draft-brissette-bess-evpn-mh-pa/<https://clicktime.symantec.com/332mtFPaA17XxDz4e9yq8cH6H2?u=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-brissette-bess-evpn-mh-pa%2F>

___________________________________________________________________________

This e-mail message is intended for the recipient only and contains information which is 
CONFIDENTIAL and which may be proprietary to ECI Telecom. If you have received this 
transmission in error, please inform us by e-mail, phone or fax, and then delete the original 
and all copies thereof.
___________________________________________________________________________

---

From: "UTTARO, JAMES" <[email-masked]>
Date: Wed, 22 Jan 2020 14:08:55 +0000

Support

Thanks,
              Jim Uttaro

From: BESS <[email-masked]> On Behalf Of Sami Boutros
Sent: Tuesday, January 21, 2020 2:26 PM
To: Bocci, Matthew (Nokia - GB) <[email-masked]>
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: Re: [bess] WG Adoption and IPR Poll for draft-brissette-bess-evpn-mh-pa-04

Support,

Sami
Sent from my iPhone

On Jan 21, 2020, at 6:48 AM, Bocci, Matthew (Nokia - GB) <[email-masked]<mailto:[email-masked]>> wrote:

Hello,

Regards,
Matthew and Stephane

[1] https://datatracker.ietf.org/doc/draft-brissette-bess-evpn-mh-pa/<https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.org_doc_draft-2Dbrissette-2Dbess-2Devpn-2Dmh-2Dpa_&d=DwMFaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=s7ZzB4JbPv3nYuoSx5Gy8Q&m=AtuV8YMMgWE_WejoPaEGcup4WPDRohVfl7Xtw61eygQ&s=71-o5xcmFIg8pGPMsNCTU7aoZa9vfGLVQpSZ1Ay9Gco&e=>

_______________________________________________
BESS mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/bess<https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_bess&d=DwQFaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=s7ZzB4JbPv3nYuoSx5Gy8Q&m=AtuV8YMMgWE_WejoPaEGcup4WPDRohVfl7Xtw61eygQ&s=YWZ99-m7McYfD_lrGSRdQKX7Z8w5SUPeJPdFkYwxXzE&e=>

---

From: "Krishna Muddenahally Ananthamurthy (kriswamy)" <[email-masked]>
Date: Sun, 26 Jan 2020 00:35:49 +0000

I Support.

Thanks
Krishna

Date: Tuesday, January 21, 2020 at 6:51 AM

Hello,

Regards,
Matthew and Stephane

---

From: Wen Lin <[email-masked]>
Date: Thu, 30 Jan 2020 21:04:55 +0000

Support the WG adoption, but please address the question raised below.

Thank you,
Wen

From: BESS <[email-masked]> on behalf of Krzysztof Grzegorz Szarkowicz <[email-masked]>
Date: Tuesday, January 21, 2020 at 3:08 PM
To: Luc André Burdet <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: [bess] WG Adoption and IPR Poll for draft-brissette-bess-evpn-mh-pa-04

Hi Luc,

My teenager son, who just recently started to learn python, has prepared python script to calculate IBAN (International Back Account Number) CHECKSUM (https://www.iban.com/iban-checker<https://urldefense.com/v3/__https:/www.iban.com/iban-checker__;!!NEt6yMaO-gk!WzHxR_kKF5K3-Rjx_SoRvbkrVQlWSyAPuitpYUJz5iHSgE_TL_FCv_vWvN0pJg$>):

IBAN CHECKSUM

Regards,

On 2020 -Jan-21, at 19:05, Luc André Burdet <[email-masked]<mailto:[email-masked]>> wrote:

Hi Krystof,

Regards,
Luc André Burdet |  Cisco  |  [email-masked]<mailto:[email-masked]>  |  Tel: +1 613 254 4814

From: BESS <[email-masked]<mailto:[email-masked]>> on behalf of Krzysztof Grzegorz Szarkowicz <[email-masked]<mailto:[email-masked]>>
Date: Tuesday, January 21, 2020 at 12:19
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [bess] WG Adoption and IPR Poll for draft-brissette-bess-evpn-mh-pa-04

Hello,

Comment 1:

Comment 2:

Thanks,
Krzysztof

Hello,

Regards,
Matthew and Stephane

[1] https://datatracker.ietf.org/doc/draft-brissette-bess-evpn-mh-pa/<https://urldefense.com/v3/__https:/datatracker.ietf.org/doc/draft-brissette-bess-evpn-mh-pa/__;!!NEt6yMaO-gk!WzHxR_kKF5K3-Rjx_SoRvbkrVQlWSyAPuitpYUJz5iHSgE_TL_FCv_uc7KDHkg$>

_______________________________________________
BESS mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/bess<https://urldefense.com/v3/__https:/www.ietf.org/mailman/listinfo/bess__;!!NEt6yMaO-gk!WzHxR_kKF5K3-Rjx_SoRvbkrVQlWSyAPuitpYUJz5iHSgE_TL_FCv_u4s9uy7A$>